package com.vendor.platform.ui.tool;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.platform.core.ToolDescriptor;
import com.vendor.platform.ui.Messages;
import com.vendor.platform.ui.internal.ControlFactory;
import com.vendor.platform.ui.tool.InstallToolWizard;
import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.events.SelectionListener;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Layout;
import org.eclipse.swt.widgets.Text;

public class LicenseWizardPage extends WizardPage {
  private Text licenseText;
  
  private Button agreeButton;
  
  protected LicenseWizardPage(String pageName) {
    super(pageName);
    setTitle(Messages.LicenseWizardPage_0);
    setDescription(Messages.LicenseWizardPage_1);
  }
  
  public void createControl(Composite parent) {
    Composite composite = new Composite(parent, 0);
    initializeDialogUnits((Control)parent);
    composite.setLayout((Layout)new GridLayout());
    composite.setLayoutData(new GridData(1808));
    createPageControls(composite);
    setPageComplete(validatePage());
    setErrorMessage(null);
    setMessage(null);
    setControl((Control)composite);
    Dialog.applyDialogFont((Control)composite);
  }
  
  private void createPageControls(Composite composite) {
    ControlFactory.createLabel(composite, Messages.LicenseWizardPage_2, 1);
    this.licenseText = ControlFactory.createLongTextField(composite, 1, 2056);
    this.agreeButton = ControlFactory.createCheckBox(composite, Messages.LicenseWizardPage_3);
    this.agreeButton.addSelectionListener((SelectionListener)new Object(this));
  }
  
  private boolean validatePage() {
    return isAgreed();
  }
  
  public void setLicense(String str) {
    this.licenseText.setText(str);
  }
  
  public boolean isAgreed() {
    return this.agreeButton.getSelection();
  }
  
  public void updatePageComplete() {
    setPageComplete(validatePage());
  }
  
  public void refresh() {
    InstallToolWizard w = (InstallToolWizard)getWizard();
    ToolDescriptor toolDesc = w.getToolDescriptor();
    if (toolDesc != null)
      this.licenseText.setText(toolDesc.props.getLicense()); 
  }
}
